Date: Monday, February 13, 2023 @ 21:38:42
  Author: seblu
Revision: 468731

db-move: moved diffutils from [testing] to [core] (x86_64)

Added:
  diffutils/repos/core-x86_64/01-fix-colors-test.patch
    (from rev 468730, diffutils/repos/testing-x86_64/01-fix-colors-test.patch)
  diffutils/repos/core-x86_64/02-fix-bug-where-D-does-not-work.patch
    (from rev 468730, 
diffutils/repos/testing-x86_64/02-fix-bug-where-D-does-not-work.patch)
  diffutils/repos/core-x86_64/PKGBUILD
    (from rev 468730, diffutils/repos/testing-x86_64/PKGBUILD)
  diffutils/repos/core-x86_64/keys/
Deleted:
  diffutils/repos/core-x86_64/PKGBUILD
  diffutils/repos/testing-x86_64/

----------------------------------------------------+
 /PKGBUILD                                          |   51 +++++++++++++++++++
 core-x86_64/01-fix-colors-test.patch               |   30 +++++++++++
 core-x86_64/02-fix-bug-where-D-does-not-work.patch |   18 ++++++
 core-x86_64/PKGBUILD                               |   47 -----------------
 4 files changed, 99 insertions(+), 47 deletions(-)

Copied: diffutils/repos/core-x86_64/01-fix-colors-test.patch (from rev 468730, 
diffutils/repos/testing-x86_64/01-fix-colors-test.patch)
===================================================================
--- core-x86_64/01-fix-colors-test.patch                                (rev 0)
+++ core-x86_64/01-fix-colors-test.patch        2023-02-13 21:38:42 UTC (rev 
468731)
@@ -0,0 +1,30 @@
+From 89f3daeaaf021a77177daec8666bcd80ec476833 Mon Sep 17 00:00:00 2001
+From: Jim Meyering <[email protected]>
+Date: Mon, 16 Jan 2023 15:48:10 -0800
+Subject: tests: accommodate newer GNU make's SIGPIPE-ignore
+MIME-Version: 1.0
+Content-Type: text/plain; charset=UTF-8
+Content-Transfer-Encoding: 8bit
+
+* tests/colors: Allow an exit code of not just 141 (SIGPIPE),
+but also "error": 2.
+Reported by Tomasz Kłoczko in http://bugs.gnu.org/59905.
+---
+ tests/colors | 5 ++++-
+ 1 file changed, 4 insertions(+), 1 deletion(-)
+
+diff --git a/tests/colors b/tests/colors
+index a14e555..6ef729f 100755
+--- a/tests/colors
++++ b/tests/colors
+@@ -128,6 +128,9 @@ printf '%1000000s-a' > a
+ printf '%1000000s-b' > b
+ head -c 10 < fifo > /dev/null &
+ diff --color=always ---presume-output-tty a b > fifo
+-test $? = 141 || fail=1
++
++# Depending on version of GNU make (4.3.92-4.4 set SIGPIPE to "ignore"),
++# either of these is acceptable.
++case $? in 2|141) ;; *) fail=1 ;; esac
+ 
+ Exit $fail

Copied: diffutils/repos/core-x86_64/02-fix-bug-where-D-does-not-work.patch 
(from rev 468730, 
diffutils/repos/testing-x86_64/02-fix-bug-where-D-does-not-work.patch)
===================================================================
--- core-x86_64/02-fix-bug-where-D-does-not-work.patch                          
(rev 0)
+++ core-x86_64/02-fix-bug-where-D-does-not-work.patch  2023-02-13 21:38:42 UTC 
(rev 468731)
@@ -0,0 +1,18 @@
+From ba08fbbb0ca5da455bf695236c57bc50e7faed50 Mon Sep 17 00:00:00 2001
+From: Paul Eggert <[email protected]>
+Date: Fri, 10 Feb 2023 15:33:40 -0800
+Subject: diff: fix bug where -D does not work
+
+diff --git a/src/diff.c b/src/diff.c
+index dd6f63b..2b4834f 100644
+--- a/src/diff.c
++++ b/src/diff.c
+@@ -416,7 +416,7 @@ main (int argc, char **argv)
+           char *base = b;
+           int changes = 0;
+ 
+-          for (i = 0; i < sizeof sizeof C_ifdef_group_formats; i++)
++          for (i = 0; i < sizeof C_ifdef_group_formats; i++)
+             {
+               char ch = C_ifdef_group_formats[i];
+               switch (ch)

Deleted: core-x86_64/PKGBUILD
===================================================================
--- core-x86_64/PKGBUILD        2023-02-13 20:58:09 UTC (rev 468730)
+++ core-x86_64/PKGBUILD        2023-02-13 21:38:42 UTC (rev 468731)
@@ -1,47 +0,0 @@
-# Mainainer: Sébastien Luttringer <[email protected]>
-# Contributor: Allan McRae <[email protected]>
-# Contributor: Andreas Radke <[email protected]>
-
-pkgname=diffutils
-pkgver=3.8
-pkgrel=1
-pkgdesc='Utility programs used for creating patch files'
-arch=('x86_64')
-url='https://www.gnu.org/software/diffutils'
-license=('GPL3')
-depends=('glibc' 'bash')
-validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
-source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
-sha256sums=('a6bdd7d1b31266d11c4f4de6c1b748d4607ab0231af5188fc2533d0ae2438fec'
-            'SKIP')
-
-prepare() {
-  cd $pkgname-$pkgver
-  # apply patch from the source array (should be a pacman feature)
-  local src
-  for src in "${source[@]}"; do
-    src="${src%%::*}"
-    src="${src##*/}"
-    [[ $src = *.patch ]] || continue
-    msg2 "Applying patch $src..."
-    patch -Np1 < "../$src"
-  done
-}
-
-build() {
-  cd $pkgname-$pkgver
-  ./configure --prefix=/usr
-  make
-}
-
-check() {
-  cd $pkgname-$pkgver
-  make check
-}
-
-package() {
-  cd $pkgname-$pkgver
-  make DESTDIR="$pkgdir" install
-}
-
-# vim:set ts=2 sw=2 et:

Copied: diffutils/repos/core-x86_64/PKGBUILD (from rev 468730, 
diffutils/repos/testing-x86_64/PKGBUILD)
===================================================================
--- core-x86_64/PKGBUILD                                (rev 0)
+++ core-x86_64/PKGBUILD        2023-02-13 21:38:42 UTC (rev 468731)
@@ -0,0 +1,51 @@
+# Mainainer: Sébastien Luttringer <[email protected]>
+# Contributor: Allan McRae <[email protected]>
+# Contributor: Andreas Radke <[email protected]>
+
+pkgname=diffutils
+pkgver=3.9
+pkgrel=1
+pkgdesc='Utility programs used for creating patch files'
+arch=('x86_64')
+url='https://www.gnu.org/software/diffutils'
+license=('GPL3')
+depends=('glibc' 'bash')
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("https://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig}
+        '01-fix-colors-test.patch'
+        '02-fix-bug-where-D-does-not-work.patch')
+sha256sums=('d80d3be90a201868de83d78dad3413ad88160cc53bcc36eb9eaf7c20dbf023f1'
+            'SKIP'
+            'bc0b6db1f90808551e376b98a5f5e235b7a33d0f09a780a2d6be476f64678ef7'
+            'a96a96267b65b5a17b0acad2064f9edede3f54462146850f9f0b5ea8ef0e7bf4')
+
+prepare() {
+  cd $pkgname-$pkgver
+  # apply patch from the source array (should be a pacman feature)
+  local src
+  for src in "${source[@]}"; do
+    src="${src%%::*}"
+    src="${src##*/}"
+    [[ $src = *.patch ]] || continue
+    msg2 "Applying patch $src..."
+    patch -Np1 < "../$src"
+  done
+}
+
+build() {
+  cd $pkgname-$pkgver
+  ./configure --prefix=/usr
+  make
+}
+
+check() {
+  cd $pkgname-$pkgver
+  make check
+}
+
+package() {
+  cd $pkgname-$pkgver
+  make DESTDIR="$pkgdir" install
+}
+
+# vim:set ts=2 sw=2 et:

Reply via email to